<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>org.vermeerlab</groupId>
    <artifactId>resource-enum-user-expansioncontrol</artifactId>
    <version>0.1.0</version>
    <packaging>jar</packaging>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>

        <!-- Maven Repository on GitHub  start -->
        <git.branchName>mvn-repo</git.branchName>
        <git.repositoryOwner>vermeerlab</git.repositoryOwner>
        <git.repositoryName>maven</git.repositoryName>
        <!-- Maven Repository on GitHub  end-->
    </properties>

    <repositories>
        <!-- Maven Repository on GitHub  start -->
        <repository>
            <id>org.vermeerlab</id>
            <url>https://raw.github.com/${git.repositoryOwner}/${git.repositoryName}/${git.branchName}/</url>
            <snapshots>
                <enabled>true</enabled>
                <updatePolicy>always</updatePolicy>
            </snapshots>
        </repository>
        <!-- Maven Repository  on GitHub  end-->
    </repositories>

    <dependencies>
        <dependency>
            <groupId>${project.groupId}</groupId>
            <artifactId>annotation-processor-command-propertyfile-enum</artifactId>
            <version>0.1.0</version>
        </dependency>

        <dependency>
            <groupId>org.vermeerlab</groupId>
            <artifactId>resource-bundle</artifactId>
            <version>0.1.0</version>
        </dependency>

        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>4.12</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.hamcrest</groupId>
            <artifactId>hamcrest-core</artifactId>
            <version>1.3</version>
            <scope>test</scope>
        </dependency>

    </dependencies>

    <build>
        <plugins>
            <!-- for annotation processor start-->
            <plugin>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.6.0</version>
                <configuration>
                    <source>${maven.compiler.source}</source>
                    <target>${maven.compiler.target}</target>
                    <!-- Disable annotation processing for ourselves. -->
                    <compilerArgument>-proc:none</compilerArgument>
                    <compilerArgs>
                        <arg>-Xlint</arg>
                    </compilerArgs>
                    <showDeprecation>true</showDeprecation>
                </configuration>
            </plugin>

            <plugin>
                <groupId>org.bsc.maven</groupId>
                <artifactId>maven-processor-plugin</artifactId>
                <version>2.2.4</version>
                <executions>
                    <execution>
                        <id>process</id>
                        <goals>
                            <goal>process</goal>
                        </goals>
                        <phase>generate-sources</phase>
                        <configuration>
                            <compilerArguments>-encoding ${project.build.sourceEncoding}</compilerArguments>
                        </configuration>

                    </execution>
                </executions>
            </plugin>
            <!-- annotation processor end -->


            <!--
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <version>2.20.1</version>
                <configuration>
                    <useSystemClassLoader>true</useSystemClassLoader>
                    <additionalClasspathElements>
                        <additionalClasspathElement>${project.build.directory}/dependency/resource-bundle-0.1.0.jar</additionalClasspathElement>
                    </additionalClasspathElements>
                    <useManifestOnlyJar>false</useManifestOnlyJar>
                </configuration>
            </plugin>

                        <plugin>
                            <groupId>org.apache.maven.plugins</groupId>
                            <artifactId>maven-dependency-plugin</artifactId>
                            <version>3.0.2</version>
                            <executions>
                                <execution>
                                    <id>copy-dependencies</id>
                                    <phase>initialize</phase>
                                    <goals>
                                        <goal>copy-dependencies</goal>
                                    </goals>
                                    <configuration>
                                        <outputDirectory>${project.build.directory}/dependency</outputDirectory>
                                        <overWriteReleases>true</overWriteReleases>
                                        <overWriteSnapshots>true</overWriteSnapshots>
                                        <overWriteIfNewer>true</overWriteIfNewer>
                                    </configuration>
                                </execution>
                            </executions>
                        </plugin>
            -->

            <!--
                        <plugin>
                            <groupId>org.apache.maven.plugins</groupId>
                            <artifactId>maven-antrun-plugin</artifactId>
                            <version>1.3</version>
                            <dependencies>
                                <dependency>
                                    <groupId>${project.groupId}</groupId>
                                    <artifactId>resource-bundle</artifactId>
                                    <version>0.1.0</version>
                                </dependency>
                            </dependencies>
                        </plugin>
            -->
        </plugins>


    </build>
</project>